<?php

if ( ! function_exists( 'leonie_core_add_clients_list_variation_image_only' ) ) {
	/**
	 * Function that add variation layout for this module
	 *
	 * @param array $variations
	 *
	 * @return array
	 */
	function leonie_core_add_clients_list_variation_image_only( $variations ) {
		$variations['image-only'] = esc_html__( 'Image Only', 'leonie-core' );

		return $variations;
	}

	add_filter( 'leonie_core_filter_clients_list_layouts', 'leonie_core_add_clients_list_variation_image_only' );
}
