<?php

if ( ! function_exists( 'leonie_core_add_image_with_text_variation_text_on_hover' ) ) {
	/**
	 * Function that add variation layout for this module
	 *
	 * @param array $variations
	 *
	 * @return array
	 */
	function leonie_core_add_image_with_text_variation_text_on_hover( $variations ) {
		$variations['text-on-hover'] = esc_html__( 'Text On Hover', 'leonie-core' );

		return $variations;
	}

	add_filter( 'leonie_core_filter_image_with_text_layouts', 'leonie_core_add_image_with_text_variation_text_on_hover' );
}
