<?php

if ( ! function_exists( 'leonie_core_add_social_share_variation_list' ) ) {
	/**
	 * Function that add variation layout for this module
	 *
	 * @param array $variations
	 *
	 * @return array
	 */
	function leonie_core_add_social_share_variation_list( $variations ) {
		$variations['list'] = esc_html__( 'List', 'leonie-core' );

		return $variations;
	}

	add_filter( 'leonie_core_filter_social_share_layouts', 'leonie_core_add_social_share_variation_list' );
}
