<?php

if ( ! function_exists( 'leonie_core_add_fusion_spinner_layout_option' ) ) {
	/**
	 * Function that set new value into page spinner layout options map
	 *
	 * @param array $layouts - module layouts
	 *
	 * @return array
	 */
	function leonie_core_add_fusion_spinner_layout_option( $layouts ) {
		$layouts['fusion'] = esc_html__( 'Fusion', 'leonie-core' );

		return $layouts;
	}

	add_filter( 'leonie_core_filter_page_spinner_layout_options', 'leonie_core_add_fusion_spinner_layout_option' );
}
