<?php

if ( ! function_exists( 'leonie_core_add_import_sub_page_to_list' ) ) {
	/**
	 * Function that add additional sub page item into welcome page list
	 *
	 * @param array $sub_pages
	 *
	 * @return array
	 */
	function leonie_core_add_import_sub_page_to_list( $sub_pages ) {
		$sub_pages[] = 'LeonieCore_Dashboard_Import_Page';

		return $sub_pages;
	}

	add_filter( 'leonie_core_filter_add_welcome_sub_page', 'leonie_core_add_import_sub_page_to_list', 11 );
}

if ( class_exists( 'LeonieCore_Dashboard_Sub_Page' ) ) {
	class LeonieCore_Dashboard_Import_Page extends LeonieCore_Dashboard_Sub_Page {

		public function __construct() {
			parent::__construct();
		}

		public function add_sub_page() {
			$this->set_base( 'import' );
			$this->set_title( esc_html__( 'Import', 'leonie-core' ) );
			$this->set_atts( $this->set_atributtes() );
		}

		public function set_atributtes() {
			$params = array();

			$iparams = LeonieCore_Dashboard::get_instance()->get_import_params();

				$params['submit'] = $iparams['submit'];
			

			return $params;
		}
	}
}
