<?php

if ( ! function_exists( 'leonie_core_add_banner_variation_link_button' ) ) {
	/**
	 * Function that add variation layout for this module
	 *
	 * @param array $variations
	 *
	 * @return array
	 */
	function leonie_core_add_banner_variation_link_button( $variations ) {
		$variations['link-button'] = esc_html__( 'Link Button', 'leonie-core' );

		return $variations;
	}

	add_filter( 'leonie_core_filter_banner_layouts', 'leonie_core_add_banner_variation_link_button' );
}
