<div class="qodef-m-image" <?php qode_framework_inline_style( $shadow_styles ); ?>>
	<?php if ( 'open-popup' === $image_action ) { ?>
	<a class="qodef-magnific-popup qodef-popup-item" itemprop="image" href="<?php echo esc_url( $main_image_params['url'] ); ?>" data-type="image" title="<?php echo esc_attr( $main_image_params['alt'] ); ?>">
		<?php } elseif ( 'custom-link' === $image_action && ! empty( $link ) ) { ?>
		<a itemprop="url" href="<?php echo esc_url( $link ); ?>" target="<?php echo esc_attr( $target ); ?>">
			<?php } ?>
			<div class="qodef-m-main-image">
				<?php
				if ( is_array( $main_image_params['image_size'] ) && count( $main_image_params['image_size'] ) ) {
					echo qode_framework_generate_thumbnail( $main_image_params['image_id'], $main_image_params['image_size'][0], $main_image_params['image_size'][1] );
				} else {
					echo wp_get_attachment_image( $main_image_params['image_id'], $main_image_params['image_size'] );
				}
				?>
			</div>
			<div class="qodef-m-overlay-first">
				<?php
				if ( ! empty( $first_image_params ) ) {
					if ( is_array( $first_image_params['image_size'] ) && count( $first_image_params['image_size'] ) ) {
						echo qode_framework_generate_thumbnail( $first_image_params['image_id'], $first_image_params['image_size'][0], $first_image_params['image_size'][1] );
					} else {
						echo wp_get_attachment_image( $first_image_params['image_id'], $first_image_params['image_size'] );
					}
				}
				?>
			</div>
			<div class="qodef-m-overlay-second" <?php qode_framework_inline_style( $animation_styles ); ?>>
				<?php
				if ( ! empty( $second_image_params ) ) {
					if ( is_array( $second_image_params['image_size'] ) && count( $second_image_params['image_size'] ) ) {
						echo qode_framework_generate_thumbnail( $second_image_params['image_id'], $second_image_params['image_size'][0], $second_image_params['image_size'][1] );
					} else {
						echo wp_get_attachment_image( $second_image_params['image_id'], $second_image_params['image_size'] );
					}
				}
				?>
			</div>
			<?php if ( 'open-popup' === $image_action || 'custom-link' === $image_action ) { ?>
		</a>
	<?php } ?>
</div>
